unit Matrix;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, ExtCtrls, CustomAlphaPanel, ValEdit, DBGrids, MXGRID,
  StdCtrls, Spin, Buttons;

type
  TForm6 = class(TForm)
    AlphaPanel1: TAlphaPanel;
    StringGrid1: TStringGrid;
    StringGrid2: TStringGrid;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton6: TSpeedButton;
    SpeedButton7: TSpeedButton;
    SpinEdit3: TSpinEdit;
    SpinEdit4: TSpinEdit;
    SpinEdit5: TSpinEdit;
    SpinEdit6: TSpinEdit;
    procedure StringGrid1Click(Sender: TObject);
    procedure StringGrid2Click(Sender: TObject);
    procedure SpinEdit3Change(Sender: TObject);
    procedure SpinEdit4Change(Sender: TObject);
    procedure SpinEdit5Change(Sender: TObject);
    procedure SpinEdit6Change(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton6Click(Sender: TObject);
    procedure SpeedButton7Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form6: TForm6;
  a,b: integer;
Procedure ShowMatrixBox;

implementation
uses ShellApi;

{$R *.dfm}
procedure ShowMatrixBox;
begin
    with TForm6.Create(Application) do
  try
    ShowModal;
  finally
    Free;
  end;
end;



procedure TForm6.StringGrid1Click(Sender: TObject);
begin
  STringGrid1.Cells[StringGrid1.Selection.Left,StringGrid1.Selection.Bottom]:=inttostr (spinedit1.value);
end;

procedure TForm6.StringGrid2Click(Sender: TObject);
begin
  STringGrid2.Cells[StringGrid2.Selection.Left,StringGrid2.Selection.Bottom]:=inttostr (spinedit2.value);
end;

procedure TForm6.SpinEdit3Change(Sender: TObject);
begin
  StringGrid1.RowCount:=SpinEdit3.Value+1;
end;

procedure TForm6.SpinEdit4Change(Sender: TObject);
begin
   StringGrid1.ColCount:=SpinEdit4.Value+1;
end;

procedure TForm6.SpinEdit5Change(Sender: TObject);
begin
  StringGrid2.RowCount:=SpinEdit5.Value+1;

end;

procedure TForm6.SpinEdit6Change(Sender: TObject);
begin
    StringGrid2.ColCount:=SpinEdit6.Value+1;
end;

procedure TForm6.SpeedButton1Click(Sender: TObject);
begin
  if StringGrid1.RowCount<StringGrid2.RowCount then StringGrid1.RowCount:=StringGrid2.RowCount
  else StringGrid2.RowCount:=StringGrid1.RowCount;
    if StringGrid1.ColCount<StringGrid2.ColCount then StringGrid1.ColCount:=StringGrid2.ColCount
  else StringGrid2.ColCount:=StringGrid1.ColCount;
  SpinEdit5.Value:=StringGrid2.RowCount-1;
  SpinEdit3.Value:=StringGrid2.RowCount-1;
  SpinEdit6.Value:=StringGrid1.ColCount-1;
  SpinEdit4.Value:=StringGrid1.ColCount-1;
  for a:=1 to StringGrid1.RowCount-1 do
  for b:=1 to StringGrid1.ColCount-1 do
  begin
  StringGrid1.Cells [a,b]:=inttostr (strtoint (StringGrid1.Cells [a,b])+strtoint (StringGrid2.Cells [a,b]));
  end;
end;

procedure TForm6.SpeedButton2Click(Sender: TObject);
begin
    if StringGrid1.RowCount<StringGrid2.RowCount then StringGrid1.RowCount:=StringGrid2.RowCount
  else StringGrid2.RowCount:=StringGrid1.RowCount;
    if StringGrid1.ColCount<StringGrid2.ColCount then StringGrid1.ColCount:=StringGrid2.ColCount
  else StringGrid2.ColCount:=StringGrid1.ColCount;
  SpinEdit5.Value:=StringGrid2.RowCount-1;
  SpinEdit3.Value:=StringGrid2.RowCount-1;
  SpinEdit6.Value:=StringGrid1.ColCount-1;
  SpinEdit4.Value:=StringGrid1.ColCount-1;
  for a:=1 to StringGrid1.RowCount-1 do
  for b:=1 to StringGrid1.ColCount-1 do
  begin
  StringGrid1.Cells [a,b]:=inttostr (strtoint (StringGrid1.Cells [a,b])-strtoint (StringGrid2.Cells [a,b]));
  end;
end;

procedure TForm6.SpeedButton3Click(Sender: TObject);
begin
    if StringGrid1.RowCount<StringGrid2.RowCount then StringGrid1.RowCount:=StringGrid2.RowCount
  else StringGrid2.RowCount:=StringGrid1.RowCount;
    if StringGrid1.ColCount<StringGrid2.ColCount then StringGrid1.ColCount:=StringGrid2.ColCount
  else StringGrid2.ColCount:=StringGrid1.ColCount;
  SpinEdit5.Value:=StringGrid2.RowCount-1;
  SpinEdit3.Value:=StringGrid2.RowCount-1;
  SpinEdit6.Value:=StringGrid1.ColCount-1;
  SpinEdit4.Value:=StringGrid1.ColCount-1;
  for a:=1 to StringGrid1.RowCount-1 do
  for b:=1 to StringGrid1.ColCount-1 do
  begin
  StringGrid1.Cells [a,b]:=inttostr (strtoint (StringGrid1.Cells [a,b])*strtoint (StringGrid2.Cells [a,b]));
  end;
end;

procedure TForm6.SpeedButton4Click(Sender: TObject);
begin
      if StringGrid1.RowCount<StringGrid2.RowCount then StringGrid1.RowCount:=StringGrid2.RowCount
  else StringGrid2.RowCount:=StringGrid1.RowCount;
    if StringGrid1.ColCount<StringGrid2.ColCount then StringGrid1.ColCount:=StringGrid2.ColCount
  else StringGrid2.ColCount:=StringGrid1.ColCount;
  SpinEdit5.Value:=StringGrid2.RowCount-1;
  SpinEdit3.Value:=StringGrid2.RowCount-1;
  SpinEdit6.Value:=StringGrid1.ColCount-1;
  SpinEdit4.Value:=StringGrid1.ColCount-1;
  for a:=1 to StringGrid1.RowCount-1 do
  for b:=1 to StringGrid1.ColCount-1 do
  begin
  StringGrid1.Cells [a,b]:=floattostr (strtoint (StringGrid1.Cells [a,b])/strtoint (StringGrid2.Cells [a,b]));
  end;
end;

procedure TForm6.SpeedButton6Click(Sender: TObject);
begin
  StringGrid1.RowCount:=StringGrid2.RowCount;
    StringGrid1.ColCount:=StringGrid2.colCount;
    for a:=1 to StringGrid1.ColCount do
    for b:=1 to StringGrid1.RowCount do
    begin
    StringGrid1.Cells[a,b]:=StringGrid2.Cells[a,b];
    end;
end;

procedure TForm6.SpeedButton7Click(Sender: TObject);
begin
    StringGrid2.RowCount:=StringGrid1.RowCount;
    StringGrid2.ColCount:=StringGrid1.colCount;
    for a:=1 to StringGrid1.ColCount do
    for b:=1 to StringGrid1.RowCount do
    begin
    StringGrid2.Cells[a,b]:=StringGrid1.Cells[a,b];
    end;
end;

end.
